CVE-2017-15017

NameCVE-2017-15017
DescriptionImageMagick 7.0.7-0 Q16 has a NULL pointer dereference vulnerability in ReadOneMNGImage in coders/png.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1131-1
NVD severityhigh (attack range: remote)
Debian Bugs878554

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imagemagick (PTS)wheezy8:6.7.7.10-5+deb7u4vulnerable
wheezy (security)8:6.7.7.10-5+deb7u18fixed
jessie (security), jessie8:6.8.9.9-5+deb8u11vulnerable
stretch (security), stretch8:6.9.7.4+dfsg-11+deb9u3vulnerable
buster, sid8:6.9.7.4+dfsg-16vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imagemagicksource(unstable)(unfixed)low878554
imagemagicksourcewheezy8:6.7.7.10-5+deb7u17highDLA-1131-1

Notes

[stretch] - imagemagick <no-dsa> (Minor issue)
[jessie] - imagemagick <no-dsa> (Minor issue)
https://github.com/ImageMagick/ImageMagick/issues/723
ImageMagick-6: https://github.com/ImageMagick/ImageMagick/commit/5a1006a249516a875558c3d642e719b1eac8f820
https://github.com/ImageMagick/ImageMagick/commit/0cff8bac0a47f8693cfe57f026fcd752689ff375

Search for package or bug name: Reporting problems